<nz-list [nzDataSource]="list" [nzRenderItem]="item" [nzItemLayout]="'horizontal'">
  <ng-template #item let-item>
    <nz-comment [nzAuthor]="item.createdBy" [nzDatetime]="item.createdOn">
      <nz-comment-content>
        <p>{{ item.content }}</p>
      </nz-comment-content>
    </nz-comment>
  </ng-template>
</nz-list>

<nz-divider></nz-divider>
<form nz-form [formGroup]="createForm">
  <nz-comment>
    <nz-comment-content>
      <nz-form-item>
        <textarea formControlName="content" nz-input rows="4" [disabled]="isLoading"></textarea>
      </nz-form-item>
      <nz-form-item>
        <button nz-button nzShape="round" nzType="primary" [nzLoading]="isLoading"
          [disabled]="createForm.status === 'INVALID'" (click)="create()">
          {{'Social.Community.AddComment' | translate }}
        </button>
      </nz-form-item>
    </nz-comment-content>
  </nz-comment>
</form>